<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="run.dice.installer" version="1.0" date="2008-10-29" maxthreads="1">


  <!--
    Installs DiCE
  -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <tasks>
        
    <task name="install" typename="@CommandLine">
      <dependencies list="uninstall"/>
      <parameters>
        <parameter name="filename" value="${install.src.dice.dir}\setupDice.exe"/>
        <parameter name="arguments" value="/quiet /noreboot"/>
        <parameter name="workingdirectory" value="${install.src.dice.dir}"/>
        <parameter name="exitcode.return.value" value="dice.install.exitcode"/>
      </parameters>
    </task>
    
    <task name="install.failed" typename="@WriteInformation" condition="¤{dice.install.exitcode}!=0 AND ¤{dice.install.exitcode}!=1638">
      <dependencies list="install"/>
      <parameters>
        <parameter name="message" value="Installation of DiCE failed with error code ¤{dice.install.exitcode}."/>
        <parameter name="loglevel" value="error"/>
      </parameters>
    </task>
    
    <task name="install.already.installed.success" typename="@WriteInformation" condition="¤{dice.install.exitcode}=1638">
      <dependencies list="install"/>
      <parameters>
        <parameter name="message" value="DiCE already installed successfully."/>
        <parameter name="loglevel" value="warning"/>
      </parameters>
    </task>
    
    <task name="install.success" typename="@WriteInformation" condition="¤{dice.install.exitcode}=0">
      <dependencies list="install"/>
      <parameters>
        <parameter name="message" value="DiCE installed successfully."/>
        <parameter name="loglevel" value="info"/>
      </parameters>
    </task> 

  </tasks>
</taskrunner>